<?php
namespace Skb_Cife;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/*--------------------------
*   Class Line Icon Manager
* -------------------------*/
class Skb_Cife_Line_Icon_Manager{

    private static $instance = null;

    public static function instance() {
        if ( is_null( self::$instance ) ) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    function __construct(){
        $this->init();
    }

    public function init() {

        // Custom icon filter
        add_filter( 'elementor/icons_manager/additional_tabs', [ $this,'skb_cife_line_icon'] );  

    }

	public function skb_cife_line_icon( $line_icons_args = array() ) {

	    // Append new icons
	    $line_icons = array(
			'500px',
			'add-files',
			'adobe',
			'agenda',
			'airbnb',
			'alarm',
			'alarm-clock',
			'amazon',
			'amazon-original',
			'amazon-pay',
			'ambulance',
			'amex',
			'anchor',
			'android',
			'android-original',
			'angellist',
			'angle-double-down',
			'angle-double-left',
			'angle-double-right',
			'angle-double-up',
			'angular',
			'apartment',
			'app-store',
			'apple',
			'apple-pay',
			'archive',
			'arrow-down',
			'arrow-down-circle',
			'arrow-left',
			'arrow-left-circle',
			'arrow-right',
			'arrow-right-circle',
			'arrow-top-left',
			'arrow-top-right',
			'arrow-up',
			'arrow-up-circle',
			'arrows-horizontal',
			'arrows-vertical',
			'atlassian',
			'aws',
			'backward',
			'baloon',
			'ban',
			'bar-chart',
			'basketball',
			'behance',
			'behance-original',
			'bi-cycle',
			'bitbucket',
			'bitcoin',
			'blackboard',
			'blogger',
			'bluetooth',
			'bold',
			'bolt',
			'bolt-alt',
			'book',
			'bookmark',
			'bookmark-alt',
			'bootstrap',
			'bricks',
			'bridge',
			'briefcase',
			'brush',
			'brush-alt',
			'bubble',
			'bug',
			'bulb',
			'bullhorn',
			'burger',
			'bus',
			'cake',
			'calculator',
			'calendar',
			'camera',
			'candy',
			'candy-cane',
			'capsule',
			'car',
			'car-alt',
			'caravan',
			'cart',
			'cart-full',
			'certificate',
			'checkbox',
			'checkmark',
			'checkmark-circle',
			'chef-hat',
			'chevron-down',
			'chevron-down-circle',
			'chevron-left',
			'chevron-left-circle',
			'chevron-right',
			'chevron-right-circle',
			'chevron-up',
			'chevron-up-circle',
			'chrome',
			'circle-minus',
			'circle-plus',
			'clipboard',
			'close',
			'cloud',
			'cloud-check',
			'cloud-download',
			'cloud-network',
			'cloud-sync',
			'cloud-upload',
			'cloudy-sun',
			'code',
			'code-alt',
			'codepen',
			'coffee-cup',
			'cog',
			'cogs',
			'coin',
			'comments',
			'comments-alt',
			'comments-reply',
			'compass',
			'construction',
			'construction-hammer',
			'consulting',
			'control-panel',
			'cpanel',
			'creative-commons',
			'credit-cards',
			'crop',
			'cross-circle',
			'crown',
			'css3',
			'cup',
			'customer',
			'cut',
			'dashboard',
			'database',
			'delivery',
			'dev',
			'diamond',
			'diamond-alt',
			'diners-club',
			'dinner',
			'direction',
			'direction-alt',
			'direction-ltr',
			'direction-rtl',
			'discord',
			'discover',
			'display',
			'display-alt',
			'docker',
			'dollar',
			'domain',
			'download',
			'dribbble',
			'drop',
			'dropbox',
			'dropbox-original',
			'drupal',
			'drupal-original',
			'dumbbell',
			'edge',
			'emoji-cool',
			'emoji-friendly',
			'emoji-happy',
			'emoji-sad',
			'emoji-smile',
			'emoji-speechless',
			'emoji-suspect',
			'emoji-tounge',
			'empty-file',
			'enter',
			'envato',
			'envelope',
			'eraser',
			'euro',
			'exit',
			'exit-down',
			'exit-up',
			'eye',
			'facebook',
			'facebook-filled',
			'facebook-messenger',
			'facebook-original',
			'facebook-oval',
			'figma',
			'files',
			'firefox',
			'firefox-original',
			'fireworks',
			'first-aid',
			'flag',
			'flag-alt',
			'flags',
			'flickr',
			'flower',
			'folder',
			'forward',
			'frame-expand',
			'fresh-juice',
			'full-screen',
			'funnel',
			'gallery',
			'game',
			'gift',
			'git',
			'github',
			'github-original',
			'goodreads',
			'google',
			'google-drive',
			'google-pay',
			'google-wallet',
			'graduation',
			'graph',
			'grid',
			'grid-alt',
			'grow',
			'hacker-news',
			'hammer',
			'hand',
			'handshake',
			'harddrive',
			'headphone',
			'headphone-alt',
			'heart',
			'heart-filled',
			'heart-monitor',
			'helicopter',
			'helmet',
			'help',
			'highlight',
			'highlight-alt',
			'home',
			'hospital',
			'hourglass',
			'html5',
			'image',
			'inbox',
			'indent-decrease',
			'indent-increase',
			'infinite',
			'information',
			'instagram',
			'instagram-filled',
			'instagram-original',
			'invention',
			'invest-monitor',
			'investment',
			'island',
			'italic',
			'java',
			'javascript',
			'jcb',
			'joomla',
			'joomla-original',
			'jsfiddle',
			'juice',
			'key',
			'keyboard',
			'keyword-research',
			'laptop',
			'laptop-phone',
			'laravel',
			'layers',
			'layout',
			'leaf',
			'library',
			'life-ring',
			'line',
			'line-dashed',
			'line-dotted',
			'line-double',
			'line-spacing',
			'lineicons',
			'lineicons-alt',
			'link',
			'linkedin',
			'linkedin-original',
			'list',
			'lock',
			'lock-alt',
			'magnet',
			'magnifier',
			'mailchimp',
			'map',
			'map-marker',
			'mashroom',
			'mastercard',
			'medium',
			'megento',
			'menu',
			'mic',
			'microphone',
			'microscope',
			'microsoft',
			'minus',
			'mobile',
			'money-location',
			'money-protection',
			'more',
			'more-alt',
			'mouse',
			'move',
			'music',
			'network',
			'night',
			'nodejs',
			'nodejs-alt',
			'notepad',
			'npm',
			'offer',
			'opera',
			'package',
			'page-break',
			'pagination',
			'paint-bucket',
			'paint-roller',
			'pallet',
			'paperclip',
			'patreon',
			'pause',
			'paypal',
			'paypal-original',
			'pencil',
			'pencil-alt',
			'phone',
			'phone-set',
			'php',
			'pie-chart',
			'pilcrow',
			'pin',
			'pinterest',
			'pizza',
			'plane',
			'play',
			'play-store',
			'plug',
			'plus',
			'pointer',
			'pointer-down',
			'pointer-left',
			'pointer-right',
			'pointer-up',
			'popup',
			'postcard',
			'pound',
			'power-switch',
			'printer',
			'producthunt',
			'protection',
			'pulse',
			'pyramids',
			'python',
			'question-circle',
			'quora',
			'quotation',
			'radio-button',
			'rain',
			'react',
			'reddit',
			'reload',
			'remove-file',
			'reply',
			'restaurant',
			'revenue',
			'road',
			'rocket',
			'rss-feed',
			'ruler',
			'ruler-alt',
			'ruler-pencil',
			'rupee',
			'save',
			'school-bench',
			'school-bench-alt',
			'scooter',
			'scroll-down',
			'search',
			'search-alt',
			'select',
			'seo',
			'service',
			'share',
			'share-alt',
			'shield',
			'shift-left',
			'shift-right',
			'ship',
			'shopify',
			'shopping-basket',
			'shortcode',
			'shovel',
			'shuffle',
			'signal',
			'sketch',
			'skipping-rope',
			'skype',
			'slack',
			'slice',
			'slideshare',
			'slim',
			'snapchat',
			'sort-alpha-asc',
			'sort-amount-asc',
			'sort-amount-dsc',
			'souncloud-original',
			'soundcloud',
			'spellcheck',
			'spiner-solid',
			'spinner',
			'spinner-arrow',
			'spotify',
			'spotify-original',
			'spray',
			'sprout',
			'stackoverflow',
			'stamp',
			'star',
			'star-empty',
			'star-filled',
			'star-half',
			'stats-down',
			'stats-up',
			'steam',
			'sthethoscope',
			'stop',
			'strikethrough',
			'stripe',
			'stumbleupon',
			'sun',
			'support',
			'surf-board',
			'swift',
			'syringe',
			'tab',
			'tag',
			'target',
			'target-customer',
			'target-revenue',
			'taxi',
			'teabag',
			'telegram',
			'telegram-original',
			'text-align-center',
			'text-align-justify',
			'text-align-left',
			'text-align-right',
			'text-format',
			'text-format-remove',
			'thought',
			'thumbs-down',
			'thumbs-up',
			'thunder',
			'thunder-alt',
			'ticket',
			'ticket-alt',
			'timer',
			'train',
			'train-alt',
			'trash',
			'travel',
			'tree',
			'trees',
			'trello',
			'trowel',
			'tshirt',
			'tumblr',
			'twitch',
			'twitter',
			'twitter-filled',
			'twitter-original',
			'ubuntu',
			'underline',
			'unlink',
			'unlock',
			'upload',
			'user',
			'users',
			'ux',
			'vector',
			'video',
			'vimeo',
			'visa',
			'vk',
			'volume',
			'volume-high',
			'volume-low',
			'volume-medium',
			'volume-mute',
			'wallet',
			'warning',
			'website',
			'website-alt',
			'wechat',
			'weight',
			'whatsapp',
			'wheelbarrow',
			'wheelchair',
			'windows',
			'wordpress',
			'wordpress-filled',
			'world',
			'world-alt',
			'write',
			'yahoo',
			'ycombinator',
			'yen',
			'youtube',
			'zip',
			'zoom-in',
			'zoom-out'
			
	    );
	    
	    $line_icons_args['skb_cife-line-icon'] = array(
	        'name'          => 'skb_cife-line-icon',
	        'label'         => esc_html__( 'Skyboot:: Line Icon', 'skb_cife' ),
	        'labelIcon'     => 'lni lni-lineicons',
	        'prefix'        => 'lni-',
	        'displayPrefix' => 'lni',
	        'url'           => SKB_CIFE_ASSETS . 'css/lineicons.css',
	        'icons'         => $line_icons,
	        'ver'           => SKB_CIFE_VERSION,
	    );

	    return $line_icons_args;
	}



}
Skb_Cife_Line_Icon_Manager::instance();